UIFlow 1.5.0


  • M5Stack

    Ver 1.5.0. time : 2020.04.10
    UpdateLog:

      1. Speed ​​up the boot and Improve file writing speed, download time is greatly reduced
      1. When the program is executed, it will be written to the temp. py file
      1. Update UI interface, modify settings interface and APP interface
      1. The UIFLOW setting is migrated to the very end of FLASH, the average user will not affect the UIFLOW setting and WIFI saving without erasing FLASH
      1. Set the option to add skip 1s waiting time
      1. Set add random APIKEY option
      1. Add setting interface to Wi-Fi connection interface to enter the entrance
      1. APIKEY connection interface to add settings and APP-list interface to enter the entrance
      1. Update ESP-IDF dependency to 3.3, fully migrate to micropython mainline (save 500KB Flash)

    ps:

    • For the time being, UIFlow v1.5.0 is only compatible with M5Core. The firmware of other hosts such as M5StickC will be released later.
    • UIFlow v1.5.0 unsupport Remote function.

    UIFlow v1.5.0

    use M5Burner to upgrade the firmware.

    M5Burner



  • euwwww....that seems the worst firmware I have ever seen.
    Nearly nothing does work.
    Has anyone tested it?

    I use UIFlow 1.0.8.1 Desktop



  • It is not only the Firmware - the UIFlow 1.0.8.1 is not working too - I cannot connect to my Core, only when I had connected with an older UIFlow before - crazy
    When I try any demo, it runs only for a second an the stops
    I'd like to go to the older tools



  • @m5stickfreakler said in UIFlow 1.5.0:

    euwwww....that seems the worst firmware I have ever seen.
    Nearly nothing does work.
    Has anyone tested it?

    I use UIFlow 1.0.8.1 Desktop

    The desktop version is too old to run with the new firmware, please use the online version to get the latest update functions.

    When Version 2 is released the desktop version should contain the same updates as the online version.



  • @ajb2k3 When might we expect version 2.0?



  • @conrad I don't know, I am only getting "it will be fixed in version 2.0"



  • @m5stack Can't select between core, StickC and Atom using Chrome Version 81.0.4044.113 (Official Build) (64-bit) on OSX 10.14.2